<?xml version="1.0" encoding="UTF-8" ?>
<project name="blancoDbEE" default="build" basedir=".">
	<property name="version" value="1.4.1" />

	<property name="product" value="blancoDbEE" />
	<property name="build.jar" value="blancodb-ee-${version}.jar" />
	<property name="project.zip" value="${product}-${version}-src.zip" />

	<property name="eclipse.dir" value="C:/eclipse/eclipse" />

	<!-- Antタスク定義CSP用 2005.12.09版 -->
	<taskdef name="blancoanttask" classname="blanco.anttask.task.BlancoAntTaskTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>
	<taskdef name="blancoresourcebundle" classname="blanco.resourcebundle.task.BlancoResourceBundleTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>
	<!-- Antタスク定義CSP用 2005.12.09版 -->
	<taskdef name="blancoconcretesax" classname="blanco.sax.task.BlancoConcreteSaxTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>
	<taskdef name="blancodb" classname="blanco.db.task.BlancoDbTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<target name="compile">
		<delete dir="bin" />
		<mkdir dir="bin" />
		<javac srcdir="blanco/main/" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
		<javac srcdir="src/main/" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
	</target>

	<target name="jar" depends="compile">
		<mkdir dir="bin" />
		<delete file="${build.jar}" />

		<jar destfile="${build.jar}">
			<zipfileset dir="doc" prefix="doc" />
			<zipfileset dir="bin/blanco" prefix="blanco" />
			<!-- Javaソースコードを取り込むようにします -->
			<!-- ただしblancoDbでは 根っこに取り込みます -->
			<zipfileset dir="src/main" includes="**/*" />
			<!-- Javaソースコードの取り込み -->
			<zipfileset dir="blanco/main" includes="**/*.java" />
			<!-- プロパティファイルの取り込み -->
			<zipfileset dir="blanco/main" includes="*.properties" />
		</jar>
	</target>

	<target name="pack">
		<echo>プロジェクトファイルを一式バックアップします.</echo>
		<echo>  自動生成対象となるblancoフォルダは削除します.</echo>
		<delete dir="bin" />
		<delete dir="tmp" />
		<delete dir="javadoc" />
		<delete file="${project.zip}" />
		<mkdir dir="tmp" />

		<copy todir="lib.ant">
			<fileset dir=".">
				<include name="blancodb-ee-*.jar" />
			</fileset>
		</copy>

		<zip destfile="${project.zip}">
			<zipfileset dir="." prefix="blancoDbEE" excludes="${project.zip},**/*.class,**/postgresql-*.jar" />
		</zip>
	</target>

	<target name="meta">
		<delete dir="tmp/resourcebundle" />
		<blancoresourcebundle metadir="meta/db/program" tmpdir="tmp" targetdir="blanco" commenttimestamp="false" />
		<delete dir="tmp/resourcebundle" />
		<delete dir="tmp/anttask" />
		<blancoanttask metadir="meta/db/program" />
		<delete dir="tmp/anttask" />

		<blancoconcretesax metadir="meta/db/concretesax" basepackage="blanco.db.concretesax" />
	</target>

	<!-- JavaDoc記述 2005.12.15版 -->
	<target name="javadoc">
		<echo>JavaDocを生成します。</echo>
		<delete dir="javadoc" />
		<javadoc destdir="javadoc">
			<fileset dir="src" />
			<fileset dir="blanco/main" />
			<classpath>
				<fileset dir="lib" includes="*.jar" />
				<fileset dir="lib.ant" includes="*.jar" />
			</classpath>
		</javadoc>
	</target>

	<target name="build" depends="meta,jar,pack">
	</target>

	<target name="generate">
		<echo>blancoDb生成: PostgreSQL</echo>
		<delete dir="tmp/db" />
		<blancodb jdbcdriver="org.postgresql.Driver" jdbcurl="jdbc:postgresql://localhost:5432/template1" jdbcuser="postgres" jdbcpassword="password" basepackage="igapyon" metadir="meta/db/template" table="true" sql="true" targetdir="tmp/blanco" />
	</target>

</project>
